List messages in a conversation
curl --request GET \
--url https://api.example.com/conversations/{conversation}/messagesimport requests
url = "https://api.example.com/conversations/{conversation}/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/conversations/{conversation}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"type": "<string>",
"conversationId": 123,
"is_reply": true,
"parent": null,
"deleted": true,
"message": "<string>",
"date": 123,
"edited_at": 123,
"reactions": [
{}
],
"author": {
"id": 1,
"first_name": "John",
"last_name": "Doe",
"name": "John Doe",
"title": "Manager",
"active": true,
"avatar": {},
"archived_at": 123,
"participant_type": "<string>",
"subtext": "Manager - HQ (Sales)",
"department": {
"id": 10,
"name": "Sales"
},
"unit": {
"id": 5,
"name": "HQ"
}
},
"files": [
{
"id": 1,
"name": "document.pdf",
"mime": "application/pdf",
"size": 102400,
"type": "file",
"extension": "pdf",
"uploaded": true,
"processing": false,
"height": 123,
"width": 123,
"source": "<string>",
"stream": "<string>",
"versions": {},
"screenshot": "<unknown>",
"date": 123,
"created_at": 123,
"updated_at": 123,
"created_formatted": "<string>",
"updated_formatted": "<string>"
}
],
"voice": {
"id": 1,
"processing": true,
"extension": "mp3",
"duration": 12.5,
"url": "<string>"
}
}
],
"meta": {
"next_cursor": "<string>",
"prev_cursor": "<string>"
}
}Conversations
List messages in a conversation
Returns a cursor-paginated list of messages for the given conversation. Supports loading around a specific starter message, text search, and bi-directional cursor pagination.
GET
/
conversations
/
{conversation}
/
messages
List messages in a conversation
Path Parameters
Conversation ID
Query Parameters
Maximum number of messages to return (default 25)
Required range:
1 <= x <= 100ID of a message to load around; when provided (without cursor or query), the API returns messages before and after this message and custom cursors to continue pagination.
Cursor string used for pagination when not using starter_message_id flow.
Full-text search in message body; only normal messages are searched.
⌘I